using WebApp.DTOs;
using WebApp.Entities;

namespace WebApp.Mapping;

public static class EventSkillMapping
{
    public static EventSkill ToEventSkillEntity(this SingleSkillDto SSDto, int eid)
    {
        return new EventSkill()
        {
            EventId = eid,
            SkillId = SSDto.Skill,
        };
    }

    public static SkillSummaryDto ToSkillSummaryDto(this EventSkill es)
    {
        return new SkillSummaryDto{
            SkillId   = es.SkillId,
            SkillName = es.Skill.Name
        };
    }
}
